de.vc.jfo.rtf

## Class DataMergeFieldListener

- java.lang.Object
- - de.vc.jfo.rtf.listeners.AbstractDataSource
  - - de.vc.jfo.rtf.listeners.SimpleDataSource
    - - de.vc.jfo.rtf.DataMergeFieldListener

- All Implemented Interfaces:
    FieldListener

  Deprecated.
  Renamed to de.vc.jfo.rtf.listeners.SimpleDataSource

      public class DataMergeFieldListener
      extends SimpleDataSource

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.vc.jfo.rtf.listeners.SimpleDataSource

      `SimpleDataSource.ActionDescriptor, SimpleDataSource.ValueDescriptor`

  - ### Field Summary

    - ### Fields inherited from interface de.vc.jfo.rtf.FieldListener

      `FIELD_FILLIN, FIELD_MERGEFIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataMergeFieldListener()` Deprecated.
    `DataMergeFieldListener(boolean caseSensitiveKeywords)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class de.vc.jfo.rtf.listeners.SimpleDataSource

      `addActionWrapListItem, addActionWrapTableRow, getValue, hasValue, insertResult, isCloneIfNeccessary, isEmptyValue, listActions, removeActions, removeValue, setCloneIfNeccessary, setDocument, setDocumentContent, setEmptyValue, setListItems, setTableColumn, setValue`

    - ### Methods inherited from class de.vc.jfo.rtf.listeners.AbstractDataSource

      `fieldEncountered, handleUnpopulatedField, isCaseSensitiveKeywords, isEnableDateFormatting, isEnableNumberFormatting, isHighlightUnpopulatedFields, normalizeKey, setCaseSensitiveKeywords, setEnableDateFormatting, setEnableNumberFormatting, setHighlightUnpopulatedFields`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataMergeFieldListener

          public DataMergeFieldListener()

      Deprecated.

    - #### DataMergeFieldListener

          public DataMergeFieldListener(boolean caseSensitiveKeywords)

      Deprecated.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.